package com.axelor.apps.production.service;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Previous {

  public static void main(String[] args) throws IOException {
    String s = null;

    Process p =
        Runtime.getRuntime()
            .exec(
                "python  /Users\\Bachir.souldi.SOPHAL\\Desktop\\dev\\whatsapp_erp\\index.py hello");
    BufferedReader stdInput = new BufferedReader(new InputStreamReader(p.getInputStream()));

    BufferedReader stdError = new BufferedReader(new InputStreamReader(p.getErrorStream()));

    // read the output from the command
    System.out.println("Here is the standard output of the command:\n");
    while ((s = stdInput.readLine()) != null) {
      System.out.println(s);
    }

    // read any errors from the attempted command
    System.out.println("Here is the standard error of the command (if any):\n");
    while ((s = stdError.readLine()) != null) {
      System.out.println(s);
    }

    System.exit(0);
  }
}
